Bug 1296580 - packaging: missing xmlschema/check.sh file
packaging: missing xmlschema/check.sh file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 10:33 EST by Tomas Dolezal
Modified: 2016-02-21 11:30 EST (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.4.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:30:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dolezal 2016-01-07 10:33:08 EST
Description of problem:
missing schema check script in fedora packages

Version-Release number of selected component (if applicable):
firewalld-0.3.14.2-4.fc23.noarch

How reproducible:
always

Steps to Reproduce:
compare installed contents to https://github.com/t-woerner/firewalld/tree/v0.3.14.2/config/xmlschema

Actual results:
rpm -ql firewalld | grep che
/usr/lib/firewalld/xmlschema/icmptype.xsd
/usr/lib/firewalld/xmlschema/service.xsd
/usr/lib/firewalld/xmlschema/zone.xsd

Expected results:
/usr/lib/firewalld/xmlschema/check.sh
/usr/lib/firewalld/xmlschema/icmptype.xsd
/usr/lib/firewalld/xmlschema/service.xsd
/usr/lib/firewalld/xmlschema/zone.xsd


Additional info:
Comment 1 Thomas Woerner 2016-01-07 11:37:18 EST
This has been fixed upstream: https://github.com/t-woerner/firewalld/commit/97a13ddbc4ba8d942dc9e45a7fef76e01b798b9d

It will be part of the next version
Comment 2 Fedora Update System 2016-02-04 10:40:58 EST
firewalld-0.4.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc0691e6a7
Comment 3 Fedora Update System 2016-02-04 20:23:32 EST
firewalld-0.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc0691e6a7
Comment 4 Fedora Update System 2016-02-08 08:28:48 EST
firewalld-0.4.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc0691e6a7
Comment 5 Fedora Update System 2016-02-09 17:27:42 EST
firewalld-0.4.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc0691e6a7
Comment 6 Fedora Update System 2016-02-21 11:30:12 EST
firewalld-0.4.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.